Package org.apache.lucene.queryparser.flexible.standard.nodes

## Class SynonymQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.core.nodes.BooleanQueryNode
    - - org.apache.lucene.queryparser.flexible.standard.nodes.SynonymQueryNode

- All Implemented Interfaces:
    `Cloneable`, `QueryNode`

      public class SynonymQueryNode
      extends BooleanQueryNode

  `QueryNode` for clauses that are synonym of each other.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynonymQueryNode​(List<QueryNode> clauses)` | Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.BooleanQueryNode

      `cloneTree, toQueryString, toString`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynonymQueryNode

          public SynonymQueryNode​(List<QueryNode> clauses)

      Sole constructor.